#!/bin/bash
source "$(dirname "$0")/_common.sh"

check_required_env_vars \
    "CONTAINER_NAME" \
    "HOST_PORT" \
    "CONTAINER_PORT" \
    "LOCAL_DATA_FOLDER" \
    "IMAGE_REGISTRY" \
    "IMAGE_REPO" \
    "IMAGE_TAG"


DOCKER_RUN_CMD="docker run -d \
                --restart unless-stopped \
                --name ${CONTAINER_NAME} \
                -p ${HOST_PORT}:${CONTAINER_PORT} \
                -v ${LOCAL_DATA_FOLDER}:/skdata \
                ${IMAGE_REGISTRY}/${IMAGE_REPO}:${IMAGE_TAG}"


if ! create_and_start_container "$DOCKER_RUN_CMD" "$CONTAINER_NAME"; then
    die "Failed to start container ${CONTAINER_NAME}"
fi

# Check if the container is running
if ! _is_container_running "$CONTAINER_NAME"; then
    die "Container ${CONTAINER_NAME} is not running"
fi

echo "Container ${CONTAINER_NAME} started, on port ${HOST_PORT}"
